# $Revision: 1.24 $, $Date: 2010/06/06 08:42:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Load
Summary:	Sys::Load - Perl module for getting the current system load and uptime
Summary(pl.UTF-8):	Sys::Load - moduł Perla do odczytywania obciążenia systemu i uptime'u
Name:		perl-Sys-Load
Version:	0.2
Release:	7
# sae as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	370372db0ddbcde3725049157e0bc5ad
URL:		http://search.cpan.org/dist/Sys-Load/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
getload() returns 3 elements: representing load averages over the last
1, 5 and 15 minutes.  uptime() returns the system uptime in seconds.

%description -l pl.UTF-8
getload() zwraca 3 wartości, reprezentujące średnie obciążenie systemu
w ciągu ostatnich 1, 5 i 15 minut. uptime() zwraca uptime systemu w
sekundach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorarch}/Sys/*.pm
%dir %{perl_vendorarch}/auto/Sys/Load
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Load/*.so
%{perl_vendorarch}/auto/Sys/Load/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sys-Load.spec,v $
Revision 1.24  2010/06/06 08:42:42  arekm
- release 7

Revision 1.23  2008/03/24 21:34:51  qboosh
- generic URL

Revision 1.22  2008-02-10 12:20:22  arekm
- rel 6

Revision 1.21  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.20  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:46  paladine
- formatting

Revision 1.17  2004/06/05 18:10:47  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/06 18:21:12  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.14  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.13  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/06/18 21:50:18  qboosh
- vendorarch/{,/auto}/Sys dirs moved to perl; release 5

Revision 1.10  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:41:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:30  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/16 08:33:29  ankry
- added missing dir
- release 3

Revision 1.3  2002/09/09 19:09:43  qboosh
- use OPTIMIZE, added pl description; release 2

Revision 1.2  2002/09/08 22:32:08  radek
- it's not noarch

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR
